package cz.nic.tablexia.screen.gamemenu.pages;

import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.Group;

import cz.nic.tablexia.screen.AbstractTablexiaScreen;

/**
 * Created by lhoracek on 3/4/15.
 */
public abstract class MenuPage extends Group {
    private AbstractTablexiaScreen screen;

    public MenuPage(AbstractTablexiaScreen screen) {
        this.screen = screen;
    }

    protected AbstractTablexiaScreen getScreen() {
        return screen;
    }

    @Override
    public void setDebug(boolean enabled) {
        super.setDebug(enabled);
        for (Actor a : getChildren()) {
            a.setDebug(enabled);
        }
    }
}
