package cz.nic.tablexia.bus.event;

import cz.nic.tablexia.TablexiaSettings;
import cz.nic.tablexia.bus.ApplicationBus;

public class LocaleChangedEvent implements ApplicationBus.ApplicationEvent {

    private TablexiaSettings.LocaleDefinition localeDefinition;

    public LocaleChangedEvent(TablexiaSettings.LocaleDefinition localeDefinition) {
        this.localeDefinition = localeDefinition;
    }

    public TablexiaSettings.LocaleDefinition getLocaleDefinition() {
        return localeDefinition;
    }
}
