package cz.nic.tablexia.util.ui.dialog;

import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;

import cz.nic.tablexia.util.ui.dialog.text.DialogTextContent;

/**
 * Created by Václav Tarantík on 24.3.15.
 */
public abstract class SingleButtonDialog extends AbstractButtonDialog {

    public SingleButtonDialog(float x, float y, float width, float height, BackGroundType backGroundType, DialogTextContent dialogTextContent, ButtonType buttonType,String buttonText) {
        super(x, y, width, height, backGroundType, dialogTextContent);

        createButton(buttonType,buttonText, new ClickListener() {
            @Override
            public void clicked(InputEvent event, float x, float y) {
                buttonAction();
            };
        });
    }

    protected abstract void buttonAction();



}
